Bug 1609595 - Review Request: slirp4netns - slirp for network namespaces
Summary: Review Request: slirp4netns - slirp for network namespaces
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Frantisek Kluknavsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-30 01:12 UTC by Lokesh Mandvekar
Modified: 2018-08-09 17:40 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-09 17:40:45 UTC
fkluknav: fedora-review+


Attachments (Terms of Use)

Description Lokesh Mandvekar 2018-07-30 01:12:39 UTC
Spec URL: https://pagure.io/slirp4netns/raw/master/f/slirp4netns.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/lsm5/slirp4netns/fedora-rawhide-x86_64/00782241-slirp4netns/slirp4netns-0.1-1.dev.gitc4e1bc5.fc29.src.rpm

Description: slirp for network namespaces, without copying buffers across the namespaces.

Fedora Account System Username: lsm5

Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=28703634

$ rpmlint slirp4netns.spec SRPMS/slirp4netns-0.1-1.dev.gitc4e1bc5.fc28.src.rpm RPMS/x86_64/slirp4netns-*
slirp4netns.src: W: spelling-error Summary(en_US) slirp -> slurp, slip
slirp4netns.src: W: spelling-error Summary(en_US) namespaces -> name spaces, name-spaces, names paces
slirp4netns.src: W: summary-not-capitalized C slirp for network namespaces
slirp4netns.src: W: spelling-error %description -l en_US slirp -> slurp, slip
slirp4netns.src: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
slirp4netns.x86_64: W: spelling-error Summary(en_US) slirp -> slurp, slip
slirp4netns.x86_64: W: spelling-error Summary(en_US) namespaces -> name spaces, name-spaces, names paces
slirp4netns.x86_64: W: summary-not-capitalized C slirp for network namespaces
slirp4netns.x86_64: W: spelling-error %description -l en_US slirp -> slurp, slip
slirp4netns.x86_64: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
4 packages and 1 specfiles checked; 0 errors, 10 warnings.

Comment 1 Frantisek Kluknavsky 2018-07-30 14:06:53 UTC
Looks good to me. Reported spelling errors are questionable. Excluded arch is reasonable.

Comment 2 Gwyn Ciesla 2018-07-30 14:33:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/slirp4netns

Comment 3 Fedora Update System 2018-07-30 21:25:33 UTC
slirp4netns-0.1-1.dev.gitc4e1bc5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fcb5dcd67e

Comment 4 Fedora Update System 2018-07-31 18:33:17 UTC
slirp4netns-0.1-1.dev.gitc4e1bc5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fcb5dcd67e

Comment 5 Akihiro Suda 2018-08-01 04:40:24 UTC
Thanks for packaging this!

nit: you don't need to include `go-md2man` in `BuildRequires`, because the repo contains pre-compiled man

Comment 6 Fedora Update System 2018-08-09 17:40:45 UTC
slirp4netns-0.1-1.dev.gitc4e1bc5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.